Bug 18763 - swagger/definitions.t is failing
Summary: swagger/definitions.t is failing
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-08 19:28 UTC by Jonathan Druart
Modified: 2017-09-10 09:18 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18763: Fix swagger/definitions.t tests (1.17 KB, patch)
2017-06-08 19:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18763: Fix swagger/definitions.t (1.26 KB, patch)
2017-06-09 00:18 UTC, Lee Jamison
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-06-08 19:28:23 UTC
#   Failed test 'Columns are missing for patron: lang, overdrive_auth_token, login_attempts'
Comment 1 Jonathan Druart 2017-06-08 19:29:15 UTC
Created attachment 64118 [details] [review]
Bug 18763: Fix swagger/definitions.t tests

Test plan:
  prove api/v1/swagger/definitions/patron.json
must return green
Comment 2 Lee Jamison 2017-06-09 00:18:35 UTC
Created attachment 64119 [details] [review]
[SIGNED OFF] Bug 18763: Fix swagger/definitions.t

Test plan:
  prove api/v1/swagger/definitions/patron.json
must return green

Signed-off-by: Lee Jamison <ldjamison@marywood.edu>
swagger/definitions.t test returns green
Comment 3 M. Tompsett 2017-06-14 04:23:23 UTC
For what it's worth, I git bz'd 18508 and then 18763. I had to tweak the git bz, but basically both combined fix noise and test failures.
Comment 4 Jonathan Druart 2017-06-14 17:11:17 UTC
Skipping QA.
Comment 5 Jonathan Druart 2017-06-14 20:39:47 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-06-20 08:23:45 UTC
Pushed to 17.05.x, will be in 17.05.01

Test plan says :
  prove api/v1/swagger/definitions/patron.json
It is :
  prove t/db_dependent/api/v1/swagger/definitions.t
Comment 7 Katrin Fischer 2017-06-21 06:24:44 UTC
Test fails for me locally, but columns listed are not in 16.11.x - please provide a separate patch for this version if it's needed.
Comment 8 Katrin Fischer 2017-06-21 06:25:05 UTC
Test Summary Report
-------------------
api/v1/swagger/definitions/patron.json (Wstat: 65280 Tests: 0 Failed: 0)
  Non-zero exit status: 255
  Parse errors: No plan found in TAP output
Files=1, Tests=0,  0 wallclock secs ( 0.01 usr +  0.01 sys =  0.02 CPU)
Result: FAIL
kohadev-koha@kohadevbox:/home/vagrant/kohaclone$ prove api/v1/swagger/definitions/patron.json
api/v1/swagger/definitions/patron.json .. syntax error at api/v1/swagger/definitions/patron.json line 2, near ""type":"
Execution of api/v1/swagger/definitions/patron.json aborted due to compilation errors.
api/v1/swagger/definitions/patron.json .. Dubious, test returned 255 (wstat 65280, 0xff00)
No subtests run
Comment 9 Katrin Fischer 2017-09-10 09:18:39 UTC
Won't apply to 16.11.x as is, closing!